Bug Hunting Session
Bug 91969 - FORMATTING: Parts of Paragraph Border missing when Border around more than one Paragraph
Summary: FORMATTING: Parts of Paragraph Border missing when Border around more than on...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-06-09 15:37 UTC by Robert Großkopf
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example text for borders around paragraph (18.35 KB, application/vnd.oasis.opendocument.text)
2015-06-09 15:37 UTC, Robert Großkopf
Details
PDF-file shows the same behavior. (44.47 KB, application/pdf)
2015-06-09 15:38 UTC, Robert Großkopf
Details
test file from 5003 (16.51 KB, application/3dr)
2015-07-07 09:55 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2015-06-09 15:37:33 UTC
Created attachment 116423 [details]
Example text for borders around paragraph

Open the attached *.odt-file.
First paragraphs are all set with border.
Border around more than one paragraph isn't shown completely.

Now have a look at the *.pdf-file. It's the same wrong behavior.

Opening the file with LO 4.1.6 will show the complete border.
New document with LO 4.4.4.1 could also show the whole border, but the old document doesn't.
Comment 1 Robert Großkopf 2015-06-09 15:38:33 UTC
Created attachment 116424 [details]
PDF-file shows the same behavior.
Comment 2 Robert Großkopf 2015-06-09 15:41:40 UTC
My system:
OpenSUSE 13.2 64bit rpm Linux, LO in different version, tested here with LO 4.4.4.1 - fails. First version I installed, which fails, is 4.2.0.1.
Comment 3 Buovjaga 2015-06-11 13:33:41 UTC
Yep, it's ok in 4.1. Adding bibisect request.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 5fc0cbbc1254223fedf0f78c5e7539219b228697
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-11_04:30:51
Locale: fi-FI (fi_FI)

Ubuntu 15.04 64-bit
Version: 4.1.0.4
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28
Comment 4 Cor Nouws 2015-07-07 09:55:46 UTC
Created attachment 117101 [details]
test file from 5003

Opening the file I see indeed the wrong behaviour in 5.0.0.3

But creating a new file there, shows the borders as expected..
Comment 5 Matthew Francis 2015-08-13 04:55:42 UTC
This seems to have begun at the below commit.
Adding Cc: to zolnaitamas2000@gmail.com; Could you possibly take a look at this one? Thanks

commit 16f637dab3c1b5f7ac9eacf2c57347800d3fdf09
Author: Zolnai Tamás <zolnaitamas2000@gmail.com>
Date:   Fri Aug 23 11:30:17 2013 +0200

    Fix borderline primitive merge
    
    Two problems
    1, Borderlines with different styles are merged
    Steps to reproduce this bug:
    -Add solid/dotted/dashed border to the first paragraph
    -Add solid/dotted/dashed border (but different from the
    first paragraph's border) to the second paragraph.
    Result:
    Second paragraph's left and right border will have the
    same style as the first paragraph's border has. Top and bottom
    border have the expected style.
    
    2, The order of adding border lines to the BorderLines
    container can change the correctness of merge.
    The bug appaers when there is a vertical text
    range with border, consist of more text portions.
    For example: Add one border for the whole vertical text
    range, but change the background of one part of it.
    
    Change-Id: Iae6ecff31f24b232b3250c3f9d0d4ecd49fb18d4
Comment 6 Commit Notification 2015-08-23 17:29:41 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d933132ab01f0070225fae6cf704c9a1982e8f8

tdf#91969: Parts of paragraph border is missing

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-25 08:07:08 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f44345f1e3e604dae86fef438014d4941b1d298&h=libreoffice-5-0

tdf#91969: Parts of paragraph border is missing

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-25 20:05:50 UTC
Zolnai Tamás committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ffdf7fa5c2f1fbe16c010c2fef639eb0a0725b6&h=libreoffice-4-4

tdf#91969: Parts of paragraph border is missing

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Cor Nouws 2015-09-14 09:45:20 UTC
Test file https://bugs.documentfoundation.org/attachment.cgi?id=116423 opens with correct borders in 5.0.2.1
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:13:27 UTC Comment hidden (obsolete)